function love.load()
	Player = {x = 600, y = 400, rad = 30}
	Enemies = {}
	PlayerBullets = {}
	bulletFired = false
	bulletspeed = 10
	playerspeed = 10

	for i=1,3 do
		Enemies[i] = {x=i*100, y=i*100, rad=30}
	end
end


function CollisionCheck(firstentity, secondentity)
	local collision = false

	if (math.sqrt((firstentity.x-secondentity.x)^2 + (firstentity.y-secondentity.y)^2) < (firstentity.rad+secondentity.rad)) then
		collision = true
	end

	return collision
end

function love.update(dt)
	if bulletFired then
		PlayerBullets[#PlayerBullets + 1] = {
			x = Player.x,
			y = Player.y,
			rad = 5
		}
	end

	if #PlayerBullets > 0 then
		
		for first = 1, #PlayerBullets do
			for second=1, #Enemies do
				if CollisionCheck(PlayerBullets[first], Enemies[second]) then
					table.remove(PlayerBullets, first)
					table.remove(Enemies, second)
				end
			end
		end

		for i = 1, #PlayerBullets do
			PlayerBullets[i].y = PlayerBullets[i].y - bulletspeed

			if PlayerBullets[i].y < 0 then
				table.remove(PlayerBullets, i)
			end
		end
 	end

 	if love.keyboard.isDown("left") then
 		Player.x = Player.x -playerspeed
 	end

 	if love.keyboard.isDown("right") then
 		Player.x = Player.x +playerspeed
 	end
 end

 function love.draw()

 	love.graphics.circle("fill", Player.x, Player.y, Player.rad )


 	for i = 1, #Enemies do
	 	love.graphics.circle("line", Enemies[i].x, Enemies[i].y, Enemies[i].rad)
	end

	for i = 1, #PlayerBullets do
		love.graphics.circle("fill", PlayerBullets[i].x, PlayerBullets[i].y, PlayerBullets[i].rad)
	end

end





function love.keypressed(k)
	if k == "q" then
		love.event.push("q")
	end

	if k == " " then
		bulletFired = true
	end
end

function love.keyreleased(k)
	if k == " " then
		bulletFired = false
	end
end